#ifndef _USART_H
#define _USART_H

/******************************************************************************
* Include files
******************************************************************************/

/******************************************************************************
* Macros
******************************************************************************/
#define USART_RXBUFF_SIZE 128

/******************************************************************************
* Types
******************************************************************************/
typedef struct
{
	uint8_t Buff[USART_RXBUFF_SIZE];
	uint8_t ReadIndex;
	uint8_t WriteIndex;
	uint8_t CharCount;
}usartRxBuff_t;

/******************************************************************************
* Constants
******************************************************************************/

/******************************************************************************
* Global Function Declarations
******************************************************************************/
void USART0_Init (uint16_t baud);
void USART0_TransmitByte (uint8_t data);
uint16_t USART0_TransmitString (char *data);
void USART0_TransmitData (uint8_t *data, uint8_t length);
void USART0_Flush (void);
uint8_t USART0_RxCount(void);
uint8_t USART0_RecieveByte(void);

#endif